Redmine - Defect #5903

There is no "admin" account when fresh install
2010-07-19 00:07 - Sin-young Kang

Status: Closed Start date: 2010-07-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

| tried fresh install into my VM guest (Ubuntu 10.04), and | cannot login as default administrator account named "admin".

| checked my db after initialized at 1st time, no admin account created.
there is just only "Anonymous" account exist.

Here is my environment
® Ruby 1.8.7

* Rails 2.3.5
¢ PostgreSQL 8.4.4

History

#1 - 2010-07-19 00:09 - Sin-young Kang

ah, | missed Redmine version.
It is just fresh 1.0.0 RC, r3858.

#2 - 2010-07-19 08:10 - Felix Schafer

Have you run RAILS_ENV=production rake redmine:load_default_data?
#3 - 2010-07-19 09:54 - Sin-young Kang
Felix Schafer wrote:
Have you run RAILS_ENV=production rake redmine:load_default_data?
Sure. | tried clean install almost 10 times.
Currently I'm on working so I'll try again after work.
And it looks also 0.9-stable affecting, I'll test it too.

#4 - 2010-07-19 10:20 - Felix Schéfer

The admin account is created in the migrations, sorry, in fact it's created in the first migration here source:/trunk/db/migrate/001_setup.rb#1 288 .
Could you try a fresh install on SQLite to see if the problem persists? Do you also have gems installed from apt? There are known problems with
gems installed both from apt and manually colliding.

#5 - 2010-07-19 12:53 - Sin-young Kang
Felix Schéafer wrote:
The admin account is created in the migrations, sorry, in fact it's created in the first migration here source:/trunk/db/migrate/001_setup.rb#1 288 .

Could you try a fresh install on SQLite to see if the problem persists? Do you also have gems installed from apt? There are known problems with
gems installed both from apt and manually colliding.

There is no problem, sorry about wrong error.

In my fault, | used rake db:reset instead rake db:migrate,
schema dump doesn't has custom insert syntaxes.

| dropped my postgresql database again, and now good with rake db:migrate.

2025-08-23 1/2



https://www.redmine.org/projects/redmine/repository/svn/revisions/3858
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/db/migrate/001_setup.rb#L288
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/db/migrate/001_setup.rb#L288

#6 - 2010-07-19 12:56 - Felix Schéfer
- Status changed from New to Closed

- Resolution set to Invalid

No harm done :-)
